'use client';

import { AdminLayout } from '@/components/admin/layout/AdminLayout';
import { AdminRouteGuard } from '@/components/admin/AdminRouteGuard';

interface AdminLayoutProps {
  children: React.ReactNode;
}

export default function AdminRootLayout({ children }: AdminLayoutProps) {
  return (
    <AdminRouteGuard>
      <AdminLayout>{children}</AdminLayout>
    </AdminRouteGuard>
  );
}
